javax.swing.plaf

## Class InsetsUIResource

- java.lang.Object
- - java.awt.Insets
  - - javax.swing.plaf.InsetsUIResource

All Implemented Interfaces:
  Serializable, Cloneable, UIResource

    public class InsetsUIResource
    extends Insets
    implements UIResource

### Field Summary

### Fields inherited from class java.awt.Insets

`bottom, left, right, top`

### Constructor Summary

Constructors
Constructor and Description
`InsetsUIResource(int top, int left, int bottom, int right)`

### Method Summary

### Methods inherited from class java.awt.Insets

`clone, equals, hashCode, set, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InsetsUIResource

    public InsetsUIResource(int top,
                            int left,
                            int bottom,
                            int right)